# Serialized Form

Package commonj.sdo

Package org.eclipse.emf.ecore.sdo

Package org.eclipse.emf.ecore.sdo.impl

Class org.eclipse.emf.ecore.sdo.impl.DynamicEDataObjectImpl extends DynamicEObjectImpl implements Serializable

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Class org.eclipse.emf.ecore.sdo.impl.DynamicEStoreEDataObjectImpl extends DynamicEStoreEObjectImpl implements Serializable

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Class org.eclipse.emf.ecore.sdo.impl.EChangeSummaryImpl extends ChangeDescriptionImpl implements Serializable

serialVersionUID: 1L

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Serialized Fields

### eDataGraph

    EDataGraph eDataGraph

  The cached value of the '`EData Graph`' reference.

  See Also:
    `EChangeSummaryImpl.getEDataGraph()`

### changeRecorder

    ChangeRecorder changeRecorder

### cachedObjectsToDetach

    EList<E> cachedObjectsToDetach

### cachedSDOObjectChanges

    java.util.HashMap<K,V> cachedSDOObjectChanges

### deletedObjects

    java.util.Set<E> deletedObjects

Class org.eclipse.emf.ecore.sdo.impl.EChangeSummarySettingImpl extends FeatureChangeImpl implements Serializable

serialVersionUID: 1L

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Class org.eclipse.emf.ecore.sdo.impl.EDataGraphImpl extends EObjectImpl implements Serializable

serialVersionUID: 1L

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()

Serialized Fields

### resourceSet

    ResourceSet resourceSet

  The cached value of the '`Resource Set`' attribute.

  See Also:
    `EDataGraphImpl.getResourceSet()`

### eChangeSummary

    EChangeSummary eChangeSummary

  The cached value of the '`EChange Summary`' reference.

  See Also:
    `EDataGraphImpl.getEChangeSummary()`

### eRootObject

    EObject eRootObject

  The cached value of the '`ERoot Object`' reference.

  See Also:
    `EDataGraphImpl.getERootObject()`

### extendedMetaData

    ExtendedMetaData extendedMetaData

  The cached extended metadata to wrap the resource set's package registry.

### eDataGraphExternalizable

    EDataGraphImpl.EDataGraphExternalizable eDataGraphExternalizable

### modificationTracker

    Adapter modificationTracker

Class org.eclipse.emf.ecore.sdo.impl.EDataGraphImpl.EDataGraphExternalizable extends java.lang.Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput objectInput)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput objectOutput)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.eclipse.emf.ecore.sdo.impl.EDataGraphImpl.EDataObjectExternalizable extends java.lang.Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput objectInput)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput objectOutput)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.eclipse.emf.ecore.sdo.impl.EDataObjectAnyTypeImpl extends AnyTypeImpl implements Serializable

serialVersionUID: 1L

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Class org.eclipse.emf.ecore.sdo.impl.EDataObjectImpl extends EObjectImpl implements Serializable

serialVersionUID: 1L

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Class org.eclipse.emf.ecore.sdo.impl.EDataObjectSimpleAnyTypeImpl extends SimpleAnyTypeImpl implements Serializable

serialVersionUID: 1L

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Class org.eclipse.emf.ecore.sdo.impl.EStoreEDataObjectImpl extends EStoreEObjectImpl implements Serializable

Serialization Methods

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Package org.eclipse.emf.ecore.sdo.util

Class org.eclipse.emf.ecore.sdo.util.SDOUtil.Accessor.Pool extends BasicEList<SDOUtil.Accessor> implements Serializable

serialVersionUID: 1L

Serialized Fields

### accessors

    SDOUtil.Accessor[] accessors

Class org.eclipse.emf.ecore.sdo.util.SDOUtil.Accessor.TokenList extends BasicEList<java.lang.String> implements Serializable

serialVersionUID: 1L

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.